<app-box 
  class="card"
  [customStyle]="cardStyle"
  >
  <div class="card__description">
    <div class="card__text">
      <app-text 
        [customStyle]="textStyleSmallBl">
        NO 
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.num}}
      </app-text>
    </div>

    <div class="card__text">
      <app-text [customStyle]="textStyleSmallBl">
        LEVEL
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.level }}
      </app-text>
    </div>

    <div class="card__text">
      <app-text [customStyle]="textStyleSmallBl">
        TYPE
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.type | uppercase}}
      </app-text>
    </div>

    <div class="card__text">
      <app-text [customStyle]="textStyleSmallBl">
        ABILITY
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.ability | uppercase}}
      </app-text>
    </div>

    <div class="card__text">
      <app-text [customStyle]="textStyleSmallBl">
        HEIGHT
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.height | uppercase}}
      </app-text>
    </div>

    <div class="card__text">
      <app-text [customStyle]="textStyleSmallBl">
        WEIGHT
      </app-text>
      <app-text [customStyle]="textStyleMedium">
        {{pokemon.weight | uppercase}}
      </app-text>
    </div>
  </div>

</app-box>

